/* Main header for the -*- C++ -*- GSL block classes.
   Jacek M. Holeczek, 05.2001 */

#ifndef __GSL_block_HXX__
#define __GSL_block_HXX__

namespace gsl {

  extern "C++" {

    /* GSL block classes */
    class dblock;
    class fblock;
    class ldblock;
    class iblock;
    class uiblock;
    class liblock;
    class luiblock;
    class siblock;
    class suiblock;
    class cblock;
    class ucblock;
    class dcblock;
    class fcblock;
    class ldcblock;

  } /* extern "C++" */

} /* namespace gsl */

#include "gsl/c++/dblock.hxx"
#include "gsl/c++/fblock.hxx"
#include "gsl/c++/ldblock.hxx"
#include "gsl/c++/iblock.hxx"
#include "gsl/c++/uiblock.hxx"
#include "gsl/c++/liblock.hxx"
#include "gsl/c++/luiblock.hxx"
#include "gsl/c++/siblock.hxx"
#include "gsl/c++/suiblock.hxx"
#include "gsl/c++/cblock.hxx"
#include "gsl/c++/ucblock.hxx"
#include "gsl/c++/dcblock.hxx"
#include "gsl/c++/fcblock.hxx"
#include "gsl/c++/ldcblock.hxx"

#endif /* ifndef __GSL_block_HXX__ */

/* End of file block.hxx */
