#include <stdlib.h>
#ifdef WIN32
double MAXINT=0x7fff;
#else
double MAXINT=(unsigned int)(1L<<31);


TLine *cellAnode[160];
TLine *mytrack[4000];
TArc *westIn,*westOut,*eastIn,*eastOut;
TPolyMarker *mymarker[4000];
int count=0;

test(){
 
  float a,b,c,d;
  int i;
  TPolyMarker *marker;
  TLine *jj;
 
  TCanvas *c1 = new  TCanvas("c1","2D Display",200,10,700,500);
  c1->Range(-300,-300,300,300);
  //cout<<MAXINT<<endl;
  initCell();
  
  cout<<"number of tracks:"<<count<<endl;
  drawcell();
  //drawall();
  c1->Modified();
  c1->Update();
}
drawcell(){
  westIn  = new TArc(0,0,203,-33.75,56.25);
  westOut = new TArc(0,0,247,-33.75,56.25);
  eastIn  = new TArc(0,0,203,123.75,213.75);
  eastOut = new TArc(0,0,247,123.75,213.75);
  westIn->Draw();
  westOut->Draw();
  eastIn->Draw();
  eastOut->Draw();
  for(int i=0;i<160;i++){
    cellAnode[i]->Draw();
  }
} 
drawall(){
  int i;
  for(i=0;i<count;i++){
    mytrack[i]->Draw();
    mymarker[i]->Draw();
  }
}
draw100(int start){
  int i;
  for(i=start;(i<start+100)&&i<count;i++){
    mytrack[i]->Draw();
    mymarker[i]->Draw();
  }
}
draw1000(int start){
  int i;
  for(i=start;(i<start+1000)&&i<count;i++){
    mytrack[i]->Draw();
    mymarker[i]->Draw();
  }
}
void initCell()
{
  float tmp[160][2];

  float angle;
  double inx,iny,outx,outy;
  double a,b,r0;
  TLine *tline;
  int i,j,k,num;

  float d0,d1,d2,d3,d4,d5;
  float x0,x1,x2,x3,y0,y1,y2,y3,ttt;
  
  num=0;
  srand(time(NULL));
  for ( i=0; i<80; i++ ){
    //angle = ((Float_t)i*1.125-33.75 + 0.8438531)/ 57.29577951;
    angle = ((Float_t)i*1.125-33.75 + 0.2813531)/ 57.29577951;
    tmp[i][0]=203*cos(angle);
    tmp[i][1]=203*sin(angle);
  }
  for(i=80;i<160;i++){
    //angle =  ((Float_t)i*1.125+33.75 + 0.8438531)/57.29577951;
    angle =  ((Float_t)i*1.125+33.75 + 0.2813531)/57.29577951;
    tmp[i][0]=203*cos(angle);
    tmp[i][1]=203*sin(angle);
  }  
  for(i=0;i<160;i++){
    a=tmp[i][0];
    b=tmp[i][1];
    r0=sqrt(a*a+b*b);
    //printf("%f\n",r0);
    inx  = 203*a/r0;
    iny  = 203*b/r0;
    outx = 247*a/r0;
    outy = 247*b/r0;
    tline = new TLine(inx,iny,outx,outy);

    for(j=0;j<20;j++){
      d3=(float)rand()/MAXINT-0.5;	
      d4=(float)rand()/MAXINT-0.5;
      d5=(float)rand()/MAXINT;
      x0=outx*d5+inx*(1-d5);
      y0=outy*d5+iny*(1-d5);
      x1=(outx-inx)*(1+d4*d4*d4);
      y1=(outy-iny)*(1+d3*d3*d3);
      ttt=sqrt(x1*x1+y1*y1);
      x1=x1/ttt;
      y1=y1/ttt;
      x2=x0+x1*d5*1.5;
      y2=y0+y1*d5*1.5;
      x3=x0-x1*(1-d5)*1.5;
      y3=y0-x1*(1-d5)*1.5;
      mytrack[num]=new TLine(x3,y3,x2,y2);
      mytrack[num]->SetLineColor(kBlue);
      mymarker[num]=new TPolyMarker(50);
      mymarker[num]->SetMarkerColor(kBlue);
      mymarker[num]->SetMarkerSize(0.5);
      mymarker[num]->SetMarkerStyle(21);
      for(k=0;k<20;k++){
	mymarker[num]->SetPoint(k,x3+x1*k,y3+y1*k);
      }
      num++;
    }
    cellAnode[i]=tline;
    tline->SetLineStyle(0);
    tline->SetLineColor(kRed);
  }

  count = num;
}
