// -*- c++ -*-
//
// Matthew D. Langston <langston@SLAC.Stanford.EDU>
// 2000-18-17

#ifndef MDL_WAB_CROSSSECTION_LINKDEF
#define MDL_WAB_CROSSSECTION_LINKDEF

#ifdef __MAKECINT__

#ifndef G__CROSSSECTION_DLL
#define G__CROSSSECTION_DLL
#endif

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ nestedtypedef;
#pragma link C++ nestedclass;

#pragma link C++ global G__CROSSSECTION_DLL;

#pragma link C++ namespace MDL;
#pragma link C++ namespace MDL::WAB;

#pragma link C++ function MDL::WAB::cross_section;
//  #pragma link C++ function cross_section;

#endif // __MAKECINT__

#endif // MDL_WAB_CROSSSECTION_LINKDEF
