{

   /**********************/
   /*** canvas options ***/
   /**********************/

   c1->SetGridx();
   c1->SetGridy();

   /*** linear or log ***/
   c1->SetLogx();
   c1->SetLogy();

   /*** fill options ***/
   c1->SetFillColor(2);
   c1->GetFrame()->SetFillColor(8);

   /*** border options ***/
   c1->GetFrame()->SetBorderSize(8);

   /*********************/
   /*** graph options ***/
   /*********************/

   /* fill options */
   graph->SetFillColor(0);
   graph->SetFillStyle(1);

   /* line options */
   graph->SetLineColor(2);
   graph->SetLineWidth(10);
   graph->SetLineStyle(1);

   /* marker options */
   graph->SetMarkerColor(2);
   graph->SetMarkerStyle(4);
   graph->SetMarkerSize(1);

   /*** draw it again ***/
   graph->Draw("AP");
   c1->Update();
   graph->GetHistogram()->SetXTitle("x axis");
   graph->GetHistogram()->SetYTitle("y axis");
    
}
